## cfg2html-7.2.3.8.gc377ed2-git202511141613.tar.gz

=== Makefile ===
# @(#) $Id: Makefile,v 6.25 2023/08/31 08:04:58 ralph Exp $
# Makefile to create HP-UX software depot, AIX, FreeBSD, SunOS or Linux .DEB and .RPM packages etc.
# -------------------------------------------------------------------------------------------------
# -*- coding: utf-8, LF/Unix -*-
#
# IMPORTANT: You need an annotated git tag on your local build system, else the build will fail
#            (at least using openSUSE).   Maybe a workaround could: git checkout master?

product = cfg2html
#TODO:# release = shell (git describe --long) ??  ## 6.33-6-g48d4c01

all:
	i=`uname -s`; case $$i in HP-UX) make depot;; Linux) make Linux;; SunOS) echo "Run \"make sunos\"";; FreeBSD|OpenBSD|NetBSD) echo "Run \"make freebsd\"";;*) make help;; esac

help:
	@echo "+------------------------------------------+"
	@echo "|    cfg2html Makefile targets             |"
	@echo "|    =========================             |"
	@echo "|    HP-UX: \"make depot\"                   |"
	@echo "|    Linux: \"make Linux\"     (1)           |"
	@echo "|    Linux: \"make rpm\"       (2)           |"
	@echo "|    Linux: \"make deb\"                     |"
	@echo "|    SunOS: \"make sunos\"                   |"
	@echo "|    FreeBSD|OpenBSD|NetBSD: \"make bsd\"    |"
	@echo "|    AIX:   \"make aix-rpm\"                 |"
	@echo "|    AIX:   \"make aix-dist\"                |"
	@echo "|                                          |"
	@echo "|    changelog: build CHANGELOG-md         |"
	@echo "+------------------------------------------+"
	@echo ""
	@echo "IMPORTANT: You need an annotated git tag on your local build system"
	@echo " (1) tries to guess which package to build (RPM or DEB)"
	@echo " (2) Jenkins workaround:  git checkout master; make rpm ## see issue #155"
	@echo ""

depot:
	gmake -C hpux depot

Linux:
	make -C linux Linux

rpm:
	make -C linux rpm

deb:
	make -C linux deb

clean:
	i=`uname -s`; case $$i in HP-UX) gmake -C hpux clean;; Linux) make -C linux clean;; FreeBSD) make -C freebsd clean;;*) make help;; esac

sunos: sunos/cfg2html-SunOS.sh
	cd sunos && make install

bsd: bsd/cfg2html-bsd.sh
	cd bsd && make install

aix-rpm:
	make -C aix rpm

aix-dist:
	make -C aix dist

changelog:
	# HINT: git config gitchangelog.rc-path /home/ralph/bin/_.gitchangelog.rc
	gitchangelog > CHANGELOG.md
	git commit -s -m "chg: Updated Changelog (by Makefile), Version: $(shell git describe --long)" CHANGELOG.md
	#cat CHANGELOG.md

=== linux/Makefile ===
# @(#) $Id: Makefile,v 6.20 2023/02/15 11:10:05 ralph Exp $
# -------------------------------------------------------------------------
# vim:ts=8:sw=4:sts=4

# In some dists (e.g. Ubuntu) bash is not the default shell. Statements like
#   cp -a etc/cfg2html/{mappings,templates} ...
# assumes bash. So its better to set SHELL

SHELL=/bin/bash

DESTDIR =
OFFICIAL =

### Get version from Config 2 HTML itself
cfg2htmlbin = ../cfg2html
name = cfg2html
version := $(shell awk '/^CVS=/ { print $$3}' $(cfg2htmlbin))
version := $(shell git describe --long|tr "-" ".")

### Get the branch information from git
ifeq ($(OFFICIAL),)
ifneq ($(shell which git),)
git_date := $(shell git log -n 1 --format="%ai")
git_ref := $(shell git symbolic-ref -q HEAD)
## example: refs/heads/master
git_branch = $(lastword $(subst /, ,$(git_ref)))
endif
else
git_branch = cfg2html-$(version)
endif
git_branch ?= master

date := $(shell date --date="$(git_date)" +%Y%m%d%H%M)
release_date := $(shell date --date="$(git_date)" +%Y-%m-%d)

prefix = /usr
sysconfdir = /etc
sbindir = $(prefix)/sbin
datadir = $(prefix)/share
mandir = $(datadir)/man
localstatedir = /var

specfile = packaging/rpm/$(name).spec
dscfile = packaging/debian/$(name).dsc

distversion = $(version)
debrelease = 0
rpmrelease = %nil
obsproject = home:gdha
obspackage = $(name)-$(version)
ifeq ($(OFFICIAL),)
    distversion = $(version)-git$(date)
    debrelease = 0git$(date)
    rpmrelease = .git$(date)
    obsproject = home:gdha
    obspackage = $(name)
endif

ifneq ($(shell which apt 2>/dev/null),)
T := deb
else
T := rpm
endif

.PHONY: doc

all:
	@echo "Nothing to build. Use \`make help' for more information."

help:
	@echo -e "Config2HTML Linux make targets:\n\
\n\
  validate        - Check source code\n\
  install         - Install cfg2html (may replace files)\n\
  uninstall       - Uninstall cfg2html (may remove files)\n\
  dist            - Create tar file\n\
  deb             - Create DEB package\n\
  Linux           - tries to guess RPM or DEB creation\n\
  rpm             - Create RPM package\n\
  pacman          - Create Pacman package\n\
  obs             - Initiate OBS builds\n\
\n\
Config2HTML make variables (optional):\n\
\n\
  DESTDIR=        - Location to install/uninstall\n\
  OFFICIAL=       - Build an official release\n\
"

clean:
	rm -f ../$(name)-$(distversion).tar.gz
	rm -f build-stamp
	make -C doc clean
	rm -rf ../$(name).cron

### You can call 'make validate' directly from your .git/hooks/pre-commit script
validate:
	@echo -e "\033[1m== Validating scripts and configuration ==\033[0;0m"
	find etc/  -name '*.conf' | xargs bash -n
	find lib/ -name '*.sh' | xargs bash -n
	bash -n $(cfg2htmlbin)
	find . -name '*.sh' -o -name 'plugins' | xargs bash -n
### Fails to work on RHEL4
#	find -L . -type l

man:
	@echo -e "\033[1m== Prepare manual ==\033[0;0m"
	make -C doc man

doc:
	@echo -e "\033[1m== Prepare documentation ==\033[0;0m"
	make -C doc docs

cron:
	@echo -e "\033[1m== Make a cron file ==\033[0;0m"
	echo "# Please uncomment (remove #) the line below to make it active" > ../$(name).cron
	echo "#$$((RANDOM % 55)) $$((RANDOM % 5)) * * $$((RANDOM % 5)) root /usr/sbin/cfg2html -2\%Y\%m\%d > /dev/null 2>&1" \
	>> ../$(name).cron

ifneq ($(git_date),)
rewrite:
	@echo -e "\033[1m== Rewriting $(specfile), $(dscfile) and $(cfg2htmlbin) ==\033[0;0m"
	cp -f $(specfile) $(specfile).orig
	cp -f $(dscfile) $(dscfile).orig
	cp -f $(cfg2htmlbin) $(cfg2htmlbin).orig
	sed -i.orig \
		-e 's#^Source:.*#Source: $(name)-$(distversion).tar.gz#' \
		-e 's#^Version:.*#Version: $(version)#' \
		-e 's#^%define rpmrelease.*#%define rpmrelease $(rpmrelease)#' \
		-e 's#^%setup.*#%setup -q -n $(name)-$(distversion)#' \
		$(specfile)
	sed -i.orig \
		-e 's#^Version:.*#Version: $(version)-$(debrelease)#' \
		$(dscfile)
	sed -i.orig \
		-e 's#^VERSION=.*#VERSION=$(distversion)#' \
		-e 's#^RELEASE_DATE=.*#RELEASE_DATE="$(release_date)"#' \
		$(cfg2htmlbin)

restore:
	@echo -e "\033[1m== Restoring $(specfile), $(dscfile) and $(cfg2htmlbin) ==\033[0;0m"
	mv -f $(specfile).orig $(specfile)
	mv -f $(dscfile).orig $(dscfile)
	mv -f $(cfg2htmlbin).orig $(cfg2htmlbin)
else
rewrite:
	@echo "Nothing to do."

restore:
	@echo "Nothing to do."
endif

### copy the local.conf file to the same directory as default.conf,
### then set /etc/cfg2html/local.conf from it.
install-config:
	@echo -e "\033[1m== Installing configuration ==\033[0;0m"
	install -d -m0700 $(DESTDIR)$(sysconfdir)/cfg2html/
	-[[ ! -e $(DESTDIR)$(datadir)/cfg2html/etc/default.conf ]] && \
		install -Dp -m0600 etc/default.conf $(DESTDIR)$(datadir)/cfg2html/etc/default.conf
	-[[ ! -e $(DESTDIR)$(datadir)/cfg2html/etc/local.conf ]] && \
		install -Dp -m0600 etc/local.conf $(DESTDIR)$(datadir)/cfg2html/etc/local.conf
	-[[ ! -e $(DESTDIR)$(sysconfdir)/cfg2html/plugins ]] && \
		install -Dp -m0600 plugins $(DESTDIR)$(sysconfdir)/cfg2html/plugins
	-[[ ! -e $(DESTDIR)$(sysconfdir)/cfg2html/systeminfo ]] && \
		install -Dp -m0600 systeminfo $(DESTDIR)$(sysconfdir)/cfg2html/systeminfo
	-[[ ! -e $(DESTDIR)$(sysconfdir)/cfg2html/files ]] && \
		install -Dp -m0600 files $(DESTDIR)$(sysconfdir)/cfg2html/files
	-find $(DESTDIR)$(sysconfdir)/cfg2html/ -name '.gitignore' -exec rm -rf {} \; &>/dev/null

install-bin:
	@echo -e "\033[1m== Installing binary ==\033[0;0m"
	install -Dp -m0755 $(cfg2htmlbin) $(DESTDIR)$(sbindir)/cfg2html
	sed -i -e 's,^CONFIG_DIR=.*,CONFIG_DIR="$(sysconfdir)/cfg2html",' \
		-e 's,^SHARE_DIR=.*,SHARE_DIR="$(datadir)/cfg2html",' \
		-e 's,^VAR_DIR=.*,VAR_DIR="$(localstatedir)/log/cfg2html",' \
		$(DESTDIR)$(sbindir)/cfg2html

install-data:
	@echo -e "\033[1m== Installing scripts ==\033[0;0m"
	install -d -m0755 $(DESTDIR)$(datadir)/cfg2html/
	cp -a cfg2html-linux.sh $(DESTDIR)$(datadir)/cfg2html/
	cp -aLr lib $(DESTDIR)$(datadir)/cfg2html/
	cp -a plugins $(DESTDIR)$(datadir)/cfg2html/
	-find $(DESTDIR)$(datadir)/cfg2html/ -name '.gitignore' -exec rm -rf {} \; &>/dev/null

install-var:
	@echo -e "\033[1m== Installing working directory ==\033[0;0m"
	install -d -m0755 $(DESTDIR)$(localstatedir)/log/cfg2html/

install-doc:
	@echo -e "\033[1m== Installing documentation ==\033[0;0m"
	make -C doc install
	sed -i -e 's,/etc,$(sysconfdir),' \
		-e 's,/usr/sbin,$(sbindir),' \
		-e 's,/usr/share,$(datadir),' \
		-e 's,/usr/share/doc/packages,$(datadir)/doc,' \
		$(DESTDIR)$(mandir)/man8/cfg2html.8

install-cron: cron
	echo -e "\033[1m== Installing cron ==\033[0;0m"
	install -Dp -m0644 ../$(name).cron $(DESTDIR)$(sysconfdir)/cron.d/$(name)
	rm -f ../$(name).cron

install: validate man install-config rewrite install-bin restore install-data install-var install-doc install-cron

uninstall:
	@echo -e "\033[1m== Uninstalling Config2HTML ==\033[0;0m"
	-rm -v $(DESTDIR)$(sbindir)/cfg2html
	-rm -v $(DESTDIR)$(mandir)/man8/cfg2html.8
	-rm -rv $(DESTDIR)$(datadir)/cfg2html/
#	rm -rv $(DESTDIR)$(sysconfdir)/cfg2html/
#	rm -rv $(DESTDIR)$(localstatedir)/lib/cfg2html/

dist: clean validate man rewrite $(name)-$(distversion).tar.gz restore

$(name)-$(distversion).tar.gz:
	@echo -e "\033[1m== Building archive $(name)-$(distversion) ==\033[0;0m"
	cd .. ; \
	git checkout $(git_branch) ; \
	git ls-tree -r --name-only --full-tree $(git_branch) | grep -v -E '(^bin|^hpux|^doc|^aix|^bsd|^sunos)' | \
		tar -czf $(name)-$(distversion).tar.gz --transform='s,^,$(name)-$(distversion)/,S' --files-from=-

Linux:
	case $T in deb) make deb;; rpm) make rpm;; *) make help;; esac

rpm: dist
	@echo -e "\033[1m== Building RPM package $(name)-$(distversion) ==\033[0;0m"
	cd .. ; \
	rpmbuild -tb  \
		--define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" \
		--define "_sourcedir %(pwd)" \
		--define "debug_package %{nil}" \
		--define "_rpmdir %(pwd)" $(name)-$(distversion).tar.gz

deb: dist cron doc
	@echo -e "\033[1m== Building DEB package $(name)-$(distversion) ==\033[0;0m"
	cp -r packaging/debian/ .
	chmod 755 debian/rules
	fakeroot debian/rules clean
	fakeroot dh_install
	fakeroot debian/rules binary
	-rm -rf debian/

pacman: BUILD_DIR = /tmp/cfg2html-$(distversion)
pacman: dist
	@echo -e "\033[1m== Building Pacman package $(name)-$(distversion) ==\033[0;0m"
	rm -rf $(BUILD_DIR)
	mkdir -p $(BUILD_DIR)
	cp packaging/arch/PKGBUILD.local $(BUILD_DIR)/PKGBUILD
	cp $(name)-$(distversion).tar.gz $(BUILD_DIR)/
	cd $(BUILD_DIR) ; sed -i -e 's/VERSION/$(date)/' \
		-e 's/SOURCE/$(name)-$(distversion).tar.gz/' \
		-e 's/MD5SUM/$(shell md5sum $(name)-$(distversion).tar.gz | cut -d' ' -f1)/' \
		PKGBUILD ; makepkg -c
	cp $(BUILD_DIR)/*.pkg.* .
	rm -rf $(BUILD_DIR)

obs: BUILD_DIR = /tmp/cfg2html-$(distversion)
obs: obsname = $(shell osc ls $(obsproject) $(obspackage) | awk '/.tar.gz$$/ { gsub(".tar.gz$$","",$$1); print }')
obs: dist doc cron
	@echo -e "\033[1m== Updating OBS from $(obsname) to $(name)-$(distversion)== \033[0;0m"
ifneq ($(obsname),$(name)-$(distversion))
	-rm -rf $(BUILD_DIR)
	mkdir -p $(BUILD_DIR)
ifneq ($(OFFICIAL),)
#	osc rdelete -m 'Recreating branch $(obspackage)' $(obsproject) $(obspackage)
	-osc branch home:gdha cfg2html $(obsproject) $(obspackage)
	-osc detachbranch $(obsproject) $(obspackage)
endif
	(cd $(BUILD_DIR) ; osc co -c $(obsproject) $(obspackage) )
	-(cd $(BUILD_DIR)/$(obspackage) ; osc del *.tar.gz )
	cp ../$(name)-$(distversion).tar.gz $(BUILD_DIR)/$(obspackage)
	cp ../$(name).cron $(BUILD_DIR)/$(obspackage)
	tar -xOzf ../$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/linux/$(specfile) >$(BUILD_DIR)/$(obspackage)/$(name).spec
	tar -xOzf ../$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/linux/$(dscfile) >$(BUILD_DIR)/$(obspackage)/$(name).dsc
	tar -xOzf ../$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/linux/packaging/debian/control >$(BUILD_DIR)/$(obspackage)/debian.control
	tar -xOzf ../$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/linux/packaging/debian/compat >$(BUILD_DIR)/$(obspackage)/debian.compat
	tar -xOzf ../$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/linux/packaging/debian/rules >$(BUILD_DIR)/$(obspackage)/debian.rules
	echo -e "cfg2html ($(version)-$(debrelease)) stable; urgency=low\n\n  * new snapshot build\n\n -- OpenSUSE Build System <obs@cfg2html> $$(date -R)" >$(BUILD_DIR)/$(obspackage)/debian.changelog
	tar -xOzf ../$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/linux/packaging/debian/changelog >>$(BUILD_DIR)/$(obspackage)/debian.changelog
	cd $(BUILD_DIR)/$(obspackage); osc addremove
	cd $(BUILD_DIR)/$(obspackage); osc ci -m "Update to $(name)-$(distversion)" $(BUILD_DIR)/$(obspackage)
	rm -rf $(BUILD_DIR)
	@echo -e "\033[1mNow visit https://build.opensuse.org/package/show?package=cfg2html&project=$(obsproject)"
	@echo -e "or inspect the queue at: https://build.opensuse.org/monitor\033[0;0m"
else
	@echo -e "OBS already updated to this release."
endif

=== linux/doc/Makefile ===
# @(#) $Id: Makefile,v 6.12 2013/12/02 08:48:42 ralph Exp $
# -------------------------------------------------------------------------
# vim:ts=8:sw=4:sts=4 -*- coding: utf-8 -*- http://rose.rult.at/ - Ralph Roth

prefix = /usr
datadir = $(prefix)/share
mandir = $(datadir)/man

txttargets = $(shell echo *.txt)
htmltargets = $(patsubst %.txt, %.html, $(txttargets))

all: docs

dist: docs

man: cfg2html.8

docs: cfg2html.8 $(htmltargets)

install: cfg2html.8
	install -Dp -m0644 cfg2html.8 $(DESTDIR)$(mandir)/man8/cfg2html.8

clean:
	rm -f unconv.8 *.xml

%.8.html: %.8.txt
	asciidoc -d manpage $<

%.8: %.8.xml
	xmlto man $<

%.html: %.txt
	asciidoc $<

%.8.xml: %.8.txt
	asciidoc -b docbook -d manpage $<

=== linux/packaging/Makefile ===
# @(#) $Id: Makefile,v 6.13 2018/01/02 16:27:18 ralph Exp $
# -----------------------------------------------------------------------------------------
# (c) 1997-2023 by Ralph Roth  -*- http://rose.rult.at -*-

# $Header: /home/cvs/cfg2html/cfg2html_git/linux/packaging/Makefile,v 6.13 2018/01/02 16:27:18 ralph Exp $
# A simple Debian makefile for cfg2html-linux

# DESTDIR modified by Jacques MENGUY, have to check it first :)
DESTDIR = /root/cfg2html
ARCH =

PREFIX = $(DESTDIR)/usr
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man8
CONFDIR= $(DESTDIR)/etc/cfg2html

all:
	# nothing to do

clean:
	rm -f *~

install:
	install cfg2html-linux $(BINDIR)
	install cfg2html $(BINDIR)
	install cfg2html-linux.8 $(MANDIR)
	install -d $(CONFDIR)
	install -m 644 files $(CONFDIR)
	install -m 644 systeminfo $(CONFDIR)
	install -m 644 plugins $(CONFDIR)

.PHONY: all clean install

=== linux/packaging/debian/changelog ===
cfg2html (7.2.3) UNRELEASED; urgency=medium

  * Having problem with the Debian build system/process
  * Bumped version to 7.2.0 after massive commit by Ed (#200) and Ralph (#199)
  * New upstream release. Fixes around SPEC files (#205, #204, #199, #197)
  * Versionnumber bumped to 7.2.3

 -- Ralph (ZOS 17) <ralph@p16s23z>  Mon, 23 Jun 2025 16:09:10 +0200

cfg2html (7.1.3) unstable; urgency=low

  * Bumped version number to 7.0.0 - details see git changelog
  * 7.0-4 - Debian build for www.cfg2html.com
  * 7.0.1-12-g842835d@(master)
  * Build on Debian 12 from 7.1.0 sources
  * Build on Debian 12 (7.1.1)

  [ Ralph (ZOS 17.1) ]
  * Build on ZorinOS 17.1, small cosmetic changes (7.1.2)

  [ Ralph Roth ]
  * 7.1.2 (trimmed a bit the changelog)....

  [ Ralph (ZOS 17) ]
  * 7.1.3 See for details the git ChangeLog
  * Bumped version number to 7.1.3

 -- Ralph (ZOS 17) <cfg2html@hotmail.com>  Sat, 15 Feb 2025 23:03:14 +0100

cfg2html (6.41) unstable; urgency=low

  * Bumped version number of the Debian ChangeLog using dch (Debian8) to 6.34.2. Build on upstream version: 6.34.2-2-g85ba063@(master)
  * Applied upstream changes. Upstream is at 6.34.8
  * Upstream (github) is now at 6.35.1
  * small fixes
  * Bumped version to 6.41.1 (all fixes and enhancements applied from github)
  * Bumped version to 6.44.1 (all fixes and enhancements applied from github) - Jan. 2022

 -- Ralph Issue 199 <cfg2html@hotmail.com>  Sat, 18 Jun 2020 21:03:14 +0100

cfg2html (6.13) unstable; urgency=low

  [ Ralph Roth ]
  * 6.13 upstream
  * debian/compat
    This file should contain the number 9. This is a magic number. Do not put any other number in there.
    debian/compat specifies the "compatibility level" for the debhelper tool. We don't need to go into what that means, right now.
  * This is 6.26 upstream
  * Bumped version number from 6.12 to 6.26
  * Bumped version number from 6.26 to 6.30
  * Bumped Version number from 6.30 to 6.31 (github)
  * Bumped to 6.31/6.33
  * tagged as 6.33 release. Changed DH_COMPAT from 5 to 9

 -- Ralph Issue 199 <cfg2html@hotmail.com>  Sat, 18 Jun 2015 21:03:14 +0100

cfg2html (6.11) unstable; urgency=low

  * test release

 -- Gratien Dhaese <gratien.dhaese@gmail.com>  Wed, 09 Oct 2013 16:35:30 +0100

=== linux/packaging/debian/control ===
Source: cfg2html
Section: admin
Priority: optional
Maintainer: Ralph Roth <cfg2html@hotmail.com>; Gratien Dhaese <gratien.dhaese@gmail.com>
Vcs-Git: https://github.com/cfg2html/cfg2html
Homepage: http://www.cfg2html.com/

Package: cfg2html
Architecture: all
Provides: cfg2html
Build-Depends: debhelper (>= 10)
Depends: bash (>=2.0), debianutils(>=1.16), coreutils (>=5.0), psmisc
Description: Collects detailed configuration information from a Linux system and generates
 both HTML and text files. cfg2html (Config to HTML) serves as a versatile tool
 for system administrators, including ASE and CE professionals. It is designed
 to gather essential data needed for planning updates, performing basic
 troubleshooting, or conducting performance analysis. In addition, cfg2html
 produces well-structured HTML documentation and plain ASCII output from your
 Linux systems. It collects information on various aspects, including:
  *  Cron and at jobs
  *  Installed hardware and software
  *  File systems
  *  Dump and swap configurations
  *  Logical Volume Management (LVM)
  *  Network settings
  *  Kernel details
  *  System enhancements and application subsystems
 This comprehensive documentation makes it easy to access and
 analyze system configurations.
 The newest versions are downloadable at:      http://rose.rult.at/
 The newest beta versions are downloadable at: http://www.cfg2html.com

=== linux/packaging/debian/rules ===
#!/usr/bin/make -f

# @(#) $Id: rules,v 6.20 2020/06/17 19:56:53 ralph Exp $
# -------------------------------------------------------------------------
# vim:ts=8:sw=4:sts=4 
# -*- coding: utf-8 -*- http://rose.rult.at/ - Ralph Roth

# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
# export DH_COMPAT=10

# dh_installdeb: Compatibility levels before 4 are deprecated.

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	# comment the make doc stuff for OBS (asciidoc is not present)
	#$(MAKE) -C linux/doc
	#/usr/bin/docbook-to-man debian/cfg2html-linux.sgml > cfg2html-linux.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	## <c/m/a>  08.01.2009 - Ralph Roth
	dh_clean

# Build architecture-independent files here.
binary-indep: build
	dh_testdir
	dh_testroot
	#dh_clean -k
	dh_prep
	dh_installdirs tmp

	#  The DESTDIR Has To Be Exactly debian/cfg2html
	mkdir -vp -m0755 \
		debian/cfg2html/etc/cfg2html/ \
		debian/cfg2html/etc/cron.d/ \
		debian/cfg2html/usr/sbin/ \
		debian/cfg2html/usr/share/cfg2html/etc/ \
		debian/cfg2html/var/log/cfg2html/
# 		debian/cfg2html/usr/share/cfg2html/etc/cfg2html  # last cfg2html directory removed as it is not used # modified on 20250221 by edrulrd


	if [ $$(basename $$(pwd)) = "BUILD" ]; then \
		cd linux ; \
		ln -s ../debian . ; \
		ls -l ; \
		ls -lR etc/ ; cd .. ; \
	fi

	# copy cfg2html components into directories (on OBS pwd=/usr/src/packages/BUILD)
	pwd

       # This triggers issue #35 on the SUSE OBS environment ....
       # [   77s] cp -av etc/default.conf debian/cfg2html/usr/share/cfg2html/etc/cfg2html/
       # [   77s] cp: cannot stat `etc/default.conf': No such file or directory
       # This still appears to be broken, as on Ubuntu systems, it should go into # modified on 20201114 by edrulrd # fixed above on 20250221 by edrulrd
       # /usr/share/cfg2html/etc when installed and not into /usr/share/cfg2html/etc/cfg2html
       # If SUSE needs it where it was, we can put it in both places
	#cp -av etc/default.conf debian/cfg2html/usr/share/cfg2html/etc/cfg2html
       # I assume this introduced a regression, see issue #171, 11.10.23
	if [ $$(basename $$(pwd)) = "BUILD" ]; then \
	    cp -av linux/etc/default.conf debian/cfg2html/usr/share/cfg2html/etc/ ; \
	    cp -av linux/systeminfo     debian/cfg2html/etc/cfg2html/ ; \
	    cp -av linux/etc/local.conf debian/cfg2html/usr/share/cfg2html/etc/ ; \
	    cp -av ./cfg2html debian/cfg2html/usr/sbin/ ; \
	    cp -av linux/cfg2html-linux.sh debian/cfg2html/usr/share/cfg2html/ ; \
	    cp -avLr linux/lib debian/cfg2html/usr/share/cfg2html/ ; \
	    cp -av linux/plugins debian/cfg2html/usr/share/cfg2html/ ; \
	    cp -avr linux/contrib debian/cfg2html/usr/share/cfg2html/ ; \
	else  \
	    cp -av etc/default.conf debian/cfg2html/usr/share/cfg2html/etc/ ; \
	    cp -av systeminfo       debian/cfg2html/etc/cfg2html/ ; \
	    cp -av etc/local.conf   debian/cfg2html/usr/share/cfg2html/etc/ ; \
	    cp -av ../cfg2html debian/cfg2html/usr/sbin/ ; \
	    cp -av cfg2html-linux.sh debian/cfg2html/usr/share/cfg2html/ ; \
	    cp -avLr lib debian/cfg2html/usr/share/cfg2html/ ; \
	    cp -av plugins debian/cfg2html/usr/share/cfg2html/ ; \
	    cp -avr contrib debian/cfg2html/usr/share/cfg2html/ ; \
	fi

	#find debian/cfg2html/usr/share/cfg2html -name '.gitignore' -exec rm -rf {} \;

	# patch cfg2html main script with correct locations for cfg2html components
	sed -i \
		-e 's#^CONFIG_DIR=.*#CONFIG_DIR="/etc/cfg2html"#' \
		-e 's#^SHARE_DIR=.*#SHARE_DIR="/usr/share/cfg2html"#' \
		-e 's#^VAR_DIR=.*#VAR_DIR="/var/log/cfg2html"#' \
		debian/cfg2html/usr/sbin/cfg2html

	# update man page with correct locations
	if [ $$(basename $$(pwd)) = "BUILD" ]; then \
	    install -Dp -m0644 linux/doc/cfg2html.8 debian/cfg2html/usr/share/man/man8/cfg2html.8 ; \
	else  \
	    install -Dp -m0644 doc/cfg2html.8 debian/cfg2html/usr/share/man/man8/cfg2html.8 ; \
	fi
	sed -i \
		-e 's#/usr/share/doc/packages#/usr/share/doc#' \
		debian/cfg2html/usr/share/man/man8/cfg2html.8

	# --- end custom part for installing
	#

#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	echo "#$$((RANDOM % 55)) $$((RANDOM % 5)) * * $$((RANDOM % 5)) root /usr/sbin/cfg2html -2\%Y\%m\%d > /dev/null 2>&1" >./cfg2html.cron
	install -Dp -m0644 ./cfg2html.cron debian/cfg2html/etc/cron.d/cfg2html
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ## Changelog upstream
	find debian/cfg2html -name ".git*" -exec rm {} \;
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
#	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
#   The next 2 statements set up the post install procedure.  # added on 20250222 by edrulrd
	cp -av linux/cfg2html.postinst debian/cfg2html/DEBIAN/postinst 2>/dev/null || \
	cp -av cfg2html.postinst       debian/cfg2html/DEBIAN/postinst
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary configure
